# Fetching a list of Skills

The Skills endpoint provides a list of every Skill that belongs to the Account of the User making the request.
The response will contain an array of Skill objects, sorted alphabetically by the name attribute.

NOTE: You cannot create more than 5000 skills per account.


This endpoint returns structured Skill objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skills top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /skills
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `except` (string)
    Includes the skills that are not in the passed in set of skill ids. For example, '10,15'.

  - `external_reference_external_message` (string)
    Filter the objects based on the external message of their associated external references. This is an exact match.

  - `external_reference_external_status` (string)
    Filter by the status of the external object in the external system.

  - `external_reference_service_model` (string)
    Filter by the type of the external object this external reference belongs to.

  - `external_reference_service_model_ref` (integer)
    Filter by the id of the external object this external reference belongs to.

  - `external_reference_service_model_refs` (string)
    Filter for objects that correlate to the specified external object IDs. Provide a comma-separated list of up to 200 external IDs.

  - `external_reference_service_name` (string)
    Filter by the name of the provider for integration.

  - `external_reference_status` (string)
    Filter by the status of the integration, this can be successful or fail.

  - `for_users` (string)
    Includes skills that are not already associated with these users. For example, '10,15'.

  - `has_external_references` (boolean)
    Filter by whether or not the object has external references.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- skill_category (SkillCategory) - The Skill Category under which the Skill is grouped.

  - `matching` (string)
    Includes skills with a name that matches the search string.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetical:asc and alphabetical:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `skill_category_ids` (string)
    Includes skills that are associated with these skill categories. For example, '2,25'.

  - `unassigned_skills_for_estimate_scenario_resource` (integer)
    Includes the skills that an estimate scenario resource has not been assigned.

  - `unassigned_skills_for_project_template_assignment` (integer)
    Includes the skills that a project template assignment has not been assigned.

  - `unassigned_skills_for_user` (integer)
    Includes the skills that a user has not been assigned.

  - `unassigned_skills_for_workspace_resource` (integer)
    Includes the skills that a workspace resource has not been assigned.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `without_external_reference_service_name` (string)
    Exclude by the existence of an external reference with the specified service name.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `skills` (object)

  - `external_references` (object)

  - `skill_categories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


